Skip to main content
POST
Create a customer

Authorizations

Authorization
string
header
required

Merchant authentication token. Obtained via POST /api/v1/merchant/token/grant. Pass as: Authorization: Bearer

Body

application/json

Customer registration request. Fields document_type, country_code, and gender are case-insensitive (uppercased internally, returned lowercased).

document_number
string

Government document number

document_type
enum<string>

Document type (case-insensitive)

Available options:
cpf,
cnpj,
passport,
ssn,
itin,
cc,
curp,
personal_tax_id,
company_tax_id
email
string<email>
first_name
string
last_name
string
tax_id
string
dob
string<date>

Date of birth (ISO 8601)

phone_country_code
string
phone_area_code
string
phone_number
string
street_number
string
street_name
string
house_number
string
postal_code
string
city
string
state
string
country_code
string

ISO country code (case-insensitive)

subdivision
string

ISO subdivision code

gender
enum<string>

Gender (case-insensitive)

Available options:
male,
female,
other
mother_name
string
monthly_net_income
string
owner_document_number
string
owner_document_type
string
company_name
string
company_start_date
string
wallet_address
string

Response

Customer created

msg
string
required

Human-readable message describing the result

data
object
required

Response payload (null on error)